@Filename: CmpCfg.s
@Part: ADuC702x.
@Created: 22/11/2004
@Updated: 28/06/2005
@Author: Barry Broderick.
@This file is in beta sampling.

.include        "ADuC7020.equ"
.ARM

@ CmpCfg==========Configures the Comparator.
@ C Function prototype: int CmpCfg(int iEnable, int iPolarity, int iHyst)@
@iEnable:{CmpOff,CmpOn}
@iPolarity:{0,1}
@iHyst:{CmpHystOff,CmpHystOn}
@ Description of Function: Enables the comparator and sets other configuration options.
@ User Interface:
@  Set iEnable to CmpOn to enable the comparator, Cmpoff to disable the comparator
@  Set iPolarity to 1 to set the ouput logic state bit
@  Set iHyst to CmpHystOn to enable hystersis of 7.5mV 
@  call CmpCfg.
@  Returns 1.
@ Robustness:
@
@ Side effects:


.GLOBAL CmpCfg
CmpCfg:  mov   r0,r0,LSL#10         @Left shift r0 by 10
         orr   r0,r0,r1,LSL#5       @Left shift r1 by 5,Or with r0
         orr   r0,r0,r2,LSL#2       @Left shift r2 by 2,Or with r0

         mov   r3,#0xff0000         @r3 = Z_BASE;
         orr   r3,r3,#0xff000000

         ldr   r1,[r3,#CMPCON_OFFSET]@Read CMPCON
         orr   r0,r0,r1              @Or r0 with r1
         str   r0,[r3,#CMPCON_OFFSET]@Write to CMPCON
   
         mov   r0,#0x01             @Return 1
         bx    lr
      